%global _empty_manifest_terminate_build 0
%define debug_package %{nil}
Name:		python-certbot
Version:	2.9.0
Release:	1
Summary:	ACME client
License:	MIT and Apache-2.0
URL:		https://github.com/certbot/certbot
Source0:	https://github.com/certbot/certbot/archive/refs/tags/v%{version}.tar.gz#/certbot-%{version}.tar.gz
BuildArch:	noarch

Requires:	python3-ConfigArgParse
Requires:	python3-configobj
Requires:	python3-cryptography
Requires:	python3-distro
Requires:	python3-josepy
Requires:	python-parsedatetime
Requires:	python3-pyrfc3339
Requires:	python3-pytz
Requires:	python3-zope-component
Requires:	python3-zope-interface

%description
The python3 libraries to interface with certbot.

%package -n python3-certbot
Summary:	ACME client
Provides:	python-certbot
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-certbot
The python3 libraries to interface with certbot

%package -n python3-acme
Summary:ACME protocol implementation in Python
Provides:python-acme
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%description -n python3-acme
Python libraries implementing the Automatic Certificate Management Environment (ACME)protocol.it is used by the Let's Encrypt project.

%package help
Summary:	Development documents and examples for certbot
Provides:	python3-certbot-doc
%description help
The python3 libraries to interface with certbot

%prep
%autosetup -n certbot-%{version} -p1

%build
cd ./certbot
%py3_build
cd ./../acme/
%py3_build
cd ./../

%install
cd ./certbot
%py3_install

cd ./../acme
%py3_install
cd ./../

install -d -m755 %{buildroot}/%{_pkgdocdir}
cd ./certbot
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}/certbot; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}/certbot; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}/certbot; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}/certbot; fi
cd ./../acme
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}/acme; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}/acme; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}/acme; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}/acme; fi
pushd %{buildroot}
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
cd ../
mv %{buildroot}/doclist.lst .

%files -n python3-certbot
%dir %{python3_sitelib}/*
%{python3_sitelib}/certbot
%{python3_sitelib}/certbot-%{version}-py%{python3_version}.egg-info
%{_bindir}/certbot

%files help -f doclist.lst
%{_docdir}/*

%files -n python3-acme
%dir %{python3_sitelib}/*
%{python3_sitelib}/acme
%{python3_sitelib}/acme-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Feb 23 2024 chendexi <chendexi@kylinos.cn> - 2.9.0-1
- Update package to version 2.9.0

* Tue Nov 21 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 2.7.4-1
- Update package to version 2.7.4

* Wed Jul 05 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 2.6.0-1
- Update package to version 2.6.0

* Fri Apr 07 2023 wangkai <13474090681@163.com> - 2.5.0-1
- Update to 2.5.0

* Fri May 20 2022 liukuo <liukuo@kylinos.cn> - 1.16.0-4
- License compliance rectification

* Fri May 06 2022 yangping <yangping69@h-partners.com> - 1.16.0-3
- Fix build error caused by py3.10+ wildcard 

* Thu Aug 05 2021 xu_ping <xuping33@huawei.com> - 1.16.0-2
- fix sync code to openEuler-20.03-LTS-SP1 %file error.

* Mon Jun 28 2021 Python_Bot <Python_Bot@openeuler.org> - 1.16.0-1
- Package Spec generated
